diff --git a/pimd/pim_iface.c b/pimd/pim_iface.c
index b1beb456303a..fba8622bcf11 100644
--- a/pimd/pim_iface.c
+++ b/pimd/pim_iface.c
@@ -1498,14 +1498,6 @@ void pim_if_create_pimreg(struct pim_instance *pim)
 		if (!pim->regiface->info)
 			pim_if_new(pim->regiface, false, false, true,
 				   false /*vxlan_term*/);
-
-		/*
-		 * On vrf moves we delete the interface if there
-		 * is nothing going on with it.  We cannot have
-		 * the pimregiface deleted.
-		 */
-		pim->regiface->configured = true;
-
 	}
 }
 
